com.mysql.cj.protocol

## Enum Resultset.Type

- java.lang.Object
- - java.lang.Enum<Resultset.Type>
  - - com.mysql.cj.protocol.Resultset.Type

All Implemented Interfaces:
  Serializable, Comparable<Resultset.Type>

Enclosing interface:
  Resultset

    public static enum Resultset.Type
    extends Enum<Resultset.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FORWARD_ONLY` The constant indicating the type for a `Resultset` object whose cursor may move only forward.
`SCROLL_INSENSITIVE` The constant indicating the type for a `Resultset` object that is scrollable but generally not sensitive to changes to the data that underlies the `Resultset`.
`SCROLL_SENSITIVE` The constant indicating the type for a `Resultset` object that is scrollable and generally sensitive to changes to the data that underlies the `Resultset`.

### Field Summary

Fields
`private int` `value`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Resultset.Type` `fromValue(int rsType, Resultset.Type backupValue)`
`int` `getIntValue()`
`static Resultset.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Resultset.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FORWARD_ONLY

    public static final Resultset.Type FORWARD_ONLY

The constant indicating the type for a `Resultset` object whose cursor may move only forward.

#### SCROLL_INSENSITIVE

    public static final Resultset.Type SCROLL_INSENSITIVE

The constant indicating the type for a `Resultset` object that is scrollable but generally not sensitive to changes to the data that underlies the `Resultset`.

#### SCROLL_SENSITIVE

    public static final Resultset.Type SCROLL_SENSITIVE

The constant indicating the type for a `Resultset` object that is scrollable and generally sensitive to changes to the data that underlies the `Resultset`.

### Field Detail

#### value

    private int value

### Method Detail

#### values

    public static Resultset.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Resultset.Type c : Resultset.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Resultset.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIntValue

    public int getIntValue()

#### fromValue

    public static Resultset.Type fromValue(int rsType,
                                           Resultset.Type backupValue)

Copyright © 2016, 2025, Oracle and/or its affiliates.